'use strict';

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _ = require('../');

var _lodashIsplainobject = require('lodash.isplainobject');

var _lodashIsplainobject2 = _interopRequireDefault(_lodashIsplainobject);

describe('createAction()', function () {
  describe('resulting action creator', function () {
    var type = 'TYPE';
    var actionCreator = _.createAction(type, function (b) {
      return b;
    });
    var foobar = { foo: 'bar' };
    var action = actionCreator(foobar);

    it('returns plain object', function () {
      expect(_lodashIsplainobject2['default'](action)).to.be['true'];
    });

    it('uses return value as payload', function () {
      expect(action.payload).to.equal(foobar);
    });

    it('has `status` nor any extraneous keys', function () {
      expect(action).to.deep.equal({
        type: type,
        payload: foobar
      });
    });

    it('uses identity function if actionCreator is not a function', function () {
      expect(_.createAction(type)(foobar)).to.deep.equal({
        type: type,
        payload: foobar
      });
    });
  });
});